window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"6730","username":"tblevs","comment":"<p>Clearing DataTable State Dynamically<\/p>\n\n<p>I\u2019m dealing with a situation where users want to save state (filtering\/page location) for some, but not other URL redirects on my website.<\/p>\n\n<p>My solution to this is to use a jQuery event listener to respond to the clicks from these URLs via class selector. Inside of this listener; I am removing the DataTable from localStorage itself, using:<\/p>\n\n<pre><code class=\"multiline\">    $(\".reset_table_state\").click(function() {\n        localStorage.removeItem( 'DataTables_' + 'desktop_table')\n    })\n<\/code><\/pre>\n\n<p>where desktop_table is the ID of my table. In order to do this, we first need to define how we will save and load the DataTable:<\/p>\n\n<pre><code class=\"multiline\">table = $('#desktop_table').DataTable({\n        info: false,\n        stateSave: true,\n        \"iDisplayLength\": 10,\n        \"pageLength\":15,\n        \"oSearch\": {\"sSearch\": \"\"},\n        stateSaveCallback: function(settings,data) {\n            localStorage.setItem( 'DataTables_' + settings.sInstance, JSON.stringify(data))\n        },\n        stateLoadCallback: function(settings) {\n            return JSON.parse( localStorage.getItem( 'DataTables_' + settings.sInstance ))\n        },\n    });\n<\/code><\/pre>\n\n<p>Here we are saving and loading the DataTable into and from localStorage . Here it\u2019s important to understand that settings.sInstance is going to be the ID of your table.\nAnother method<\/p>\n\n<p>Of course, there is the simple table.state.clear method, though I\u2019ve found that if you\u2019re on a different page than the table, it won\u2019t clear the state of the table.<\/p>\n","created":"23:29, Mon 10th Apr 2023","parent":null,"version":"1.13.4","children":[]}] );
} );window._site.page = "examples\/basic_init\/state_save.html";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '9dd0eb0d257c098a5361095ac1b174e3b7f081c5920743d9';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


